clear;
% Plot an eigenvalue of the difference of the DN maps as a function of
% lambda

% Dimension of boundary space is 2*Jmax (Jmax on each of the two
% components):
Jmax = 30;

% Do not calculate resonances:
nchannel = 0;

% Look for eigenvalues of the inner region in this interval:
lambdamin = -0.1;
lambdamax=500;
lambda0 = -1;
% Refine the mesh this many times:
nrefine=4;

% Get the inner and outer DN maps. The outer ones use the opposite direction
% for the normal to the boundary compared to the inner ones:

[dirichleteigs,neumanneigs,p1,e1,t1,Ss,ND1] = accwave1(nrefine,Jmax,nchannel,lambdamin,lambdamax,lambda0);

lambdalow = 2.3;
lambdahigh = 2.4;
nstep=20;
h = (lambdahigh-lambdalow)/nstep
for j = 1:nstep
    lambdavec(j) = lambdalow + (j-1)*h;
end;
Inl = eye(length(neumanneigs))
for j = 1:length(lambdavec)
    lambda = lambdavec(j);
    Dl = (lambda-lambda0)*inv(diag((neumanneigs-lambda).*(neumanneigs-lambda0)));
    M = 0.5*(ND1+ND1') + ctranspose(Ss)*Dl*Ss;
    Nvec = twocompextdnmap(Jmax,nchannel,lambda);
    N = diag(Nvec);
    evsmn(:,j) = sort(eig(M*inv(N)));
%    evsmn(:,j) = eig(M);
    
end;
for k = 1:size(evsmn,1)
    if (evsmn(k,1)<-0.5)
        plot(lambdavec,evsmn(k,:),'.')
        hold on;
    end;
end;

